Subject: Re: Conflict between ERC mode tracking and ibuffer window shrinking

From: "Antoine Levitt" <[email-masked]>
Date: Tue, 2 Sep 2008 18:46:18 +0200

Another related problem (fixing one will probably fix the other, but I'm
posting just in case) : doing the same manipulation resets the count of
unseen messages
2008/9/2 Chong Yidong <[email-masked]>

> Hi guys,
>
> Could you take a look at this bug report?  I'm not sure whether ERC or
> ibuffer needs fixing.
>
> > There is a bug when using conjointly these two features. Here are the
> > relevant portions of configuration :
> >
> > ;;make ibuffer resize itself to its buffer size
> > (setq ibuffer-use-other-window t)
> > (setq ibuffer-default-shrink-to-minimum-size t)
> >
> > No specific configuration for erc, just enabling tracker is enough.
> > Then, run erc, and, in any erc buffer, call ibuffer. The screen
> > briefly flashes as an ERC window opens then disappears, and the
> > ibuffer window is reduced to a much smaller size than what it would be
> > outside ERC. I think the issue is erc's hook to
> > window-configuration-change somehow messing with ibuffer, but I'm not
> > experienced enough to find where the bug is.
>